<?php

/**
 * Added One Page Conference Page.
*/
/**
 * Add a new page under Appearance
 */
function lifestyle_magazine_menu()
{
    add_theme_page(
        __( 'Get Started', 'lifestyle-magazine' ),
        __( 'Get Started', 'lifestyle-magazine' ),
        'edit_theme_options',
        'lifestyle-magazine-get-started',
        'lifestyle_magazine_page'
    );
}

add_action( 'admin_menu', 'lifestyle_magazine_menu' );
/**
 * Enqueue styles for the help page.
 */
function lifestyle_magazine_admin_scripts( $hook )
{
    if ( 'appearance_page_lifestyle-magazine-get-started' !== $hook ) {
        return;
    }
    wp_enqueue_style(
        'lifestyle-magazine-admin-style',
        get_template_directory_uri() . '/inc/about/about.css',
        array(),
        ''
    );
}

add_action( 'admin_enqueue_scripts', 'lifestyle_magazine_admin_scripts' );
/**
 * Add the theme page
 */
function lifestyle_magazine_page()
{
    ?>
	<div class="das-wrap">
		<div class="lifestyle-magazine-panel">
			<div class="lifestyle-magazine-logo">
				<img class="ts-logo" width="25" src="<?php 
    echo  esc_url( get_template_directory_uri() . '/inc/about/images/bootstrap.png' ) ;
    ?>" alt="Logo"> 
			</div>
			<?php 
    ?>
				<a href="https://thebootstrapthemes.com/lifestyle-magazine/" target="_blank" class="btn btn-success pull-right"><?php 
    esc_html_e( 'Upgrade to Pro $59', 'lifestyle-magazine' );
    ?></a>
			<?php 
    ?>
			<p>
			<?php 
    esc_html_e( 'Lifestyle Magazine is a free WordPress blog theme. It is perfect for lifestyle bloggers, style guides, personal bloggers, feminine, traveller, journal, photographers and is very easy to use and customize with live preview. It supports Woocommerce plugin and is SEO optimized.', 'lifestyle-magazine' );
    ?></p>
			<a class="btn btn-primary" href="<?php 
    echo  esc_url( admin_url( '/customize.php?' ) ) ;
    ?>"><?php 
    esc_html_e( 'Theme Options - Click Here', 'lifestyle-magazine' );
    ?></a>
		</div>

		<div class="lifestyle-magazine-panel">
			<div class="lifestyle-magazine-panel-content">
				<div class="theme-title">
					<h3><?php 
    esc_html_e( 'Once you install all recommended plugins, you can import demo template.', 'lifestyle-magazine' );
    ?></h3>
				</div>
				<a class="btn btn-secondary" href="<?php 
    echo  esc_url( admin_url( '/themes.php?page=advanced-import' ) ) ;
    ?>"><?php 
    esc_html_e( 'View Demo Templates', 'lifestyle-magazine' );
    ?></a>
			</div>
		</div>
		<div class="lifestyle-magazine-panel">
			<div class="lifestyle-magazine-panel-content">
				<div class="theme-title">
					<h4><?php 
    esc_html_e( 'If you like the theme, please leave a review or Contact us for technical support.', 'lifestyle-magazine' );
    ?></h4>
				</div>
				<a href="https://wordpress.org/support/theme/lifestyle-magazine/reviews/#new-post" target="_blank" class="btn btn-secondary"><?php 
    esc_html_e( 'Rate this theme', 'lifestyle-magazine' );
    ?></a> <a href="https://thebootstrapthemes.com/support/" target="_blank" class="btn btn-secondary"><?php 
    esc_html_e( 'Contact Us', 'lifestyle-magazine' );
    ?></a>
			</div>
		</div>
	</div>
	<?php 
}
