<?php

/**
 * Colors Settings
 *
 * @package Lifestyle Magazine
 */
add_action( 'customize_register', 'lifestyle_magazine_change_colors_panel' );
function lifestyle_magazine_change_colors_panel( $wp_customize )
{
    $wp_customize->get_section( 'colors' )->priority = 1;
    $wp_customize->get_section( 'colors' )->panel = 'lifestyle_magazine_general_panel';
}

add_action( 'customize_register', 'lifestyle_magazine_customize_color_options' );
function lifestyle_magazine_customize_color_options( $wp_customize )
{
    $wp_customize->add_setting( 'lifestyle_magazine_colors_upgrade_to_pro', array(
        'sanitize_callback' => null,
    ) );
    $wp_customize->add_control( new Lifestyle_Magazine_Control_Upgrade_To_Pro( $wp_customize, 'lifestyle_magazine_colors_upgrade_to_pro', array(
        'section'     => 'colors',
        'settings'    => 'lifestyle_magazine_colors_upgrade_to_pro',
        'title'       => __( 'Choose colors that perfectly align with your brand.', 'lifestyle-magazine' ),
        'items'       => array(
        'one' => array(
        'title' => __( 'Multiple color palettes for the most important sections of your website', 'lifestyle-magazine' ),
    ),
    ),
        'button_url'  => esc_url( 'https://thebootstrapthemes.com/lifestyle-magazine/#free-vs-pro' ),
        'button_text' => __( 'Upgrade Now', 'lifestyle-magazine' ),
    ) ) );
}
