<?php

/**
 * Fonts Settings
 *
 * @package Lifestyle Magazine
 */
add_action( 'customize_register', 'lifestyle_magazine_customize_register_fonts_section' );
function lifestyle_magazine_customize_register_fonts_section( $wp_customize )
{
    $wp_customize->add_section( 'lifestyle_magazine_fonts_section', array(
        'title'       => esc_html__( 'Fonts', 'lifestyle-magazine' ),
        'description' => esc_html__( 'Fonts :', 'lifestyle-magazine' ),
        'panel'       => 'lifestyle_magazine_general_panel',
        'priority'    => 2,
    ) );
}

add_action( 'customize_register', 'lifestyle_magazine_customize_font_family' );
function lifestyle_magazine_customize_font_family( $wp_customize )
{
    $wp_customize->add_setting( 'lifestyle_magazine_fonts_upgrade_to_pro', array(
        'sanitize_callback' => null,
    ) );
    $wp_customize->add_control( new Lifestyle_Magazine_Control_Upgrade_To_Pro( $wp_customize, 'lifestyle_magazine_fonts_upgrade_to_pro', array(
        'section'     => 'lifestyle_magazine_fonts_section',
        'settings'    => 'lifestyle_magazine_fonts_upgrade_to_pro',
        'title'       => __( 'Customize your typography with options such as size, line height, and font weight.', 'lifestyle-magazine' ),
        'items'       => array(
        'one' => array(
        'title' => __( 'Choose from over 850 Google Fonts', 'lifestyle-magazine' ),
    ),
    ),
        'button_url'  => esc_url( 'https://thebootstrapthemes.com/lifestyle-magazine/#free-vs-pro' ),
        'button_text' => __( 'Upgrade Now', 'lifestyle-magazine' ),
    ) ) );
}
