<?php
/**
 * Footer Settings
 *
 * @package Lifestyle Magazine
 */

add_action( 'customize_register', 'lifestyle_magazine_customize_register_footer_section' );

function lifestyle_magazine_customize_register_footer_section( $wp_customize ) {

    $wp_customize->add_section( 'lifestyle_magazine_footer_section', array(
        'title'          => esc_html__( 'Footer / Copyright', 'lifestyle-magazine' ),
        'description'    => esc_html__( 'Footer / Copyright :', 'lifestyle-magazine' ),
        'panel'          => 'lifestyle_magazine_general_panel',
        'priority'       => 170,        
    ) );

     $wp_customize->add_setting( 'copyright_text', array(
        'sanitize_callback'     =>  'wp_kses_post',
        'default'               =>  ''
    ) );

    $wp_customize->add_control( 'copyright_text', array(
        'label' => esc_html__( 'Copyright :', 'lifestyle-magazine' ),
        'section' => 'lifestyle_magazine_footer_section',
        'settings' => 'copyright_text',
        'type'=> 'textarea',
    ) );

    if ( lmp_fs()->is_free_plan() ) {
        $wp_customize->add_setting( 'lifestyle_magazine_footer_upgrade_to_pro', array(
            'sanitize_callback' => null,
        ) );
        $wp_customize->add_control( new Lifestyle_Magazine_Control_Upgrade_To_Pro(
            $wp_customize, 'lifestyle_magazine_footer_upgrade_to_pro', array(
                'section' => 'lifestyle_magazine_footer_section',
                'settings'    => 'lifestyle_magazine_footer_upgrade_to_pro',
                'title'   => __( 'Want the full control over your copyright?', 'lifestyle-magazine' ),
                'items' => array(
                    'one'   => array(
                        'title' => __( 'Remove WordPress links from the copyright', 'lifestyle-magazine' ),
                    ),
                ),
                'button_url'   => esc_url( 'https://thebootstrapthemes.com/lifestyle-magazine/#free-vs-pro' ),
                'button_text'   => __( 'Upgrade Now', 'lifestyle-magazine' ),
            )
        ) );
    }
}